> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 5.0 Lite 画像生成

> - Seedream 5.0 Lite（doubao-seedream-5.0-lite）モデルはテキストから画像、画像から画像、画像編集などの生成モードに対応
- 非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)
- 生成された画像リンクは24時間有効です、お早めに保存してください



## OpenAPI

````yaml ja/api-manual/image-series/seedream/seedream-5.0-lite-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: doubao-seedream-5.0-lite インターフェース
  description: AIモデルを使用して画像タスクを作成、複数のモデルとパラメータ設定に対応
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 画像生成
    description: AI画像生成関連API
paths:
  /v1/images/generations:
    post:
      tags:
        - 画像生成
      summary: doubao-seedream-5.0-lite インターフェース
      description: >-
        - Seedream 5.0
        Lite（doubao-seedream-5.0-lite）モデルはテキストから画像、画像から画像、画像編集などの生成モードに対応

        -
        非同期処理モード、返却されたタスクIDで[照会](/ja/api-manual/task-management/get-task-detail)

        - 生成された画像リンクは24時間有効です、お早めに保存してください
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              web_search:
                summary: ウェブ検索で画像生成
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: 2025年パリファッションウィークの最新トレンドスタイルのイラストを生成してください
                  size: '3:4'
                  quality: 2K
                  model_params:
                    tools:
                      - type: web_search
              text_to_image:
                summary: テキストから画像
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: A serene lake reflecting the beautiful sunset
                  size: '16:9'
                  quality: 2K
      responses:
        '200':
          description: 画像生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    doubao-seedream-5.0-lite
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 画像生成モデル名
          enum:
            - doubao-seedream-5.0-lite
          default: doubao-seedream-5.0-lite
          example: doubao-seedream-5.0-lite
        prompt:
          type: string
          description: 生成したい画像を説明するプロンプト、または入力画像の編集方法を説明するプロンプト、2000トークンまで
          example: A serene lake reflecting the beautiful sunset
          maxLength: 2000
        'n':
          type: integer
          description: >-
            生成する画像の最大数、`[1,15]`の任意の整数値をサポート


            **注意:**

            - 複数の画像を生成するには、プロンプトに「2つの異なる画像を生成」のようなプロンプトを含めます


            - 参照画像数 + 最終生成画像数 ≤ 15画像


            - もし: 参照画像数 + プロンプトで要求された画像 > 15、かつプロンプトで要求された画像 ≤
            パラメータnの値、の場合、最終生成画像 = 15 - 参照画像数

            - 各リクエストは`n`の値に基づいて事前課金され、実際の課金は生成された画像の数に基づきます
          example: 1
        size:
          type: string
          default: auto
          description: >-
            生成画像のサイズ。2つの形式をサポートします：


            **方法1 - 比率形式：**

            - `auto`, `1:1`, `2:3`, `3:2`, `3:4`, `4:3`, `4:5`, `5:4`, `9:16`,
            `16:9`, `21:9`, `9:21`

            - `quality` パラメータと組み合わせると、ピクセルを手動で指定せずに、対応する比率と解像度の画像が自動生成されます


            **方法2 - ピクセル形式：**

            - 幅x高さ、例: `2560x1440`, `2048x2048`, `4096x4096`

            - 総ピクセル範囲: `[3686400, 16777216]`

            - アスペクト比範囲: `[1/16, 16]`
          example: '16:9'
        quality:
          type: string
          default: 2K
          description: |-
            解像度レベル。`size` の比率形式と組み合わせて使用します.

            | 比率 | 2K | 3K | 4K |
            |---|---|---|---|
            | `1:1` | 2048×2048 | 3072×3072 | 4096×4096 |
            | `2:3` | 1664×2496 | 2496×3744 | 3328×4992 |
            | `3:2` | 2496×1664 | 3744×2496 | 4992×3328 |
            | `3:4` | 1728×2304 | 2592×3456 | 3520×4704 |
            | `4:3` | 2304×1728 | 3456×2592 | 4704×3520 |
            | `4:5` | 1792×2240 | 2688×3360 | 3584×4480 |
            | `5:4` | 2240×1792 | 3360×2688 | 4480×3584 |
            | `9:16` | 1600×2848 | 2304×4096 | 3040×5504 |
            | `16:9` | 2848×1600 | 4096×2304 | 5504×3040 |
            | `21:9` | 3136×1344 | 4704×2016 | 6240×2656 |
            | `9:21` | 1344×3136 | 2016×4704 | 2656×6240 |
          enum:
            - 2K
            - 3K
            - 4K
          example: 2K
        prompt_priority:
          type: string
          description: |-
            プロンプト最適化のモードを設定するために使用されるプロンプト最適化戦略

            **オプション:**
            - `standard`: 標準モード、より高品質な出力、処理時間が長い
          enum:
            - standard
          default: standard
          example: standard
        image_urls:
          type: array
          description: >-
            画像から画像への変換および画像編集機能のための参照画像URLリスト


            **注意:**

            - 単一リクエストでサポートされる入力画像数: `14`画像

            - 画像サイズ: `10MB`以下

            - サポートされる画像形式: `.jpeg`, `.jpg`, `.png`, `.webp`, `.bmp`, `.tiff`,
            `.gif`

            - アスペクト比（幅/高さ）範囲: `[1/16, 16]`

            - 幅と高さ（px）> 14

            - 総ピクセル数: `6000×6000`以下

            -
            画像URLはサーバーから直接表示可能であるか、アクセス時に直接ダウンロードをトリガーする必要があります（通常、これらのURLは`.png`、`.jpg`などの画像ファイル拡張子で終わります）
          items:
            type: string
            format: uri
          maxItems: 14
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        model_params:
          type: object
          description: |-
            **サポートされるパラメータ：**
            - `output_format`: 出力画像フォーマット
            - `tools`: ウェブ検索ツール
          properties:
            output_format:
              type: string
              description: |-
                出力画像フォーマット

                **オプション：**
                - `png`: PNG フォーマット
                - `jpeg`: JPEG フォーマット
              enum:
                - png
                - jpeg
              example: jpeg
            tools:
              type: array
              description: >-
                ウェブ検索ツール、このパラメータを有効にすると、モデルがプロンプトに基づいて自動的に検索を行うかどうかを判断します。検索には追加料金が発生します


                **フォーマット：**

                - `[{"type": "web_search"}]`
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - web_search
                    description: ツールタイプ
                required:
                  - type
              example:
                - type: web_search
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗時最大 `3` 回リトライ（`1` 秒/`2` 秒/`4` 秒後にリトライ）

            - コールバックレスポンスボディの形式はタスククエリ API のレスポンス形式と一致

            - コールバックアドレスが 2xx ステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1757165031
        id:
          type: string
          description: タスク ID
          example: task-unified-1757165031-seedream5lite
        model:
          type: string
          description: 使用された実際のモデル名
          example: doubao-seedream-5.0-lite
        object:
          type: string
          enum:
            - image.generation.task
          description: 具体的なタスクタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 非同期タスク情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスク出力タイプ
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 1.8
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````